App\SessionsBundle\Entity\SessionUrls:
  type: entity
  table: session_urls
  repositoryClass: App\SessionsBundle\Repository\SessionUrlsRepository
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    url:
      type: text
    created_at:
      type: datetime
  manyToOne:
    sessions:
      targetEntity: Sessions
      inversedBy: session_urls
      joinColumn:
        name: session_id
        referencedColumnName: id
  lifecycleCallbacks:
    prePersist: [ setCreatedAtValue ]